{% extends "admin/base_site.html" %}
{% load i18n static %}

{% block extrastyle %}{{ block.super }}<link rel="stylesheet" href="{% static "admin/css/login.css" %}">
{{ form.media }}
{% endblock %}

{% block bodyclass %}{{ block.super }} login{% endblock %}

{% block usertools %}{% endblock %}

{% block nav-global %}{% endblock %}

{% block nav-sidebar %}{% endblock %}

{% block content_title %}{% endblock %}

{% block nav-breadcrumbs %}{% endblock %}

{% block content %}
<a href="{% url 'oidc_authentication_init' %}">
    <input type="button" value="Sign in with SSO" style="width: 100%;"/>
</a>
<br />
<br />
<hr />
<h2>Lokaler Login (nur intern)</h2>

{% if form.errors and not form.non_field_errors %}
<p class="errornote">
</p>
{% endif %}

{% if form.non_field_errors %}
{% for error in form.non_field_errors %}
<p class="errornote">
    {{ error }}
</p>
{% endfor %}
{% endif %}

<form method="post">{% csrf_token %}
  <div class="form-row">
    {{ form.username.errors }}
    {{ form.username.label_tag }} {{ form.username }}
  </div>
  <div class="form-row">
    {{ form.password.errors }}
    {{ form.password.label_tag }} {{ form.password }}
    <input type="hidden" name="next" value="{{ next }}">
  </div>
  <div class="submit-row">
    <input type="submit" name="login" value="{% translate 'Log in' %}" style="width: 100%;">
  </div>
</form>
<br />
<hr />
<br />
<a href="/new">&lt;-  Back to Dashboard</a>
</div>

{% endblock %}
